diff -Nur olsrd-0.5.0.cvs/lib/bmf/Makefile olsrd-0.5.0/lib/bmf/Makefile
--- olsrd-0.5.0.cvs/lib/bmf/Makefile	2007-06-23 13:15:19.000000000 +0200
+++ olsrd-0.5.0/lib/bmf/Makefile	2007-05-21 11:00:46.000000000 +0200
@@ -34,7 +34,7 @@
 
 OLSRD_PLUGIN =	true
 PLUGIN_NAME =	olsrd_bmf
-PLUGIN_VER =	1.4
+PLUGIN_VER =	1.5
 
 TOPDIR = ../..
 include $(TOPDIR)/Makefile.inc
diff -Nur olsrd-0.5.0.cvs/lib/bmf/src/Address.c olsrd-0.5.0/lib/bmf/src/Address.c
--- olsrd-0.5.0.cvs/lib/bmf/src/Address.c	2007-06-23 13:15:19.000000000 +0200
+++ olsrd-0.5.0/lib/bmf/src/Address.c	2007-05-08 10:33:08.000000000 +0200
@@ -1,6 +1,6 @@
 /*
  * OLSR Basic Multicast Forwarding (BMF) plugin.
- * Copyright (c) 2005, 2006, Thales Communications, Huizen, The Netherlands.
+ * Copyright (c) 2005 - 2007, Thales Communications, Huizen, The Netherlands.
  * Written by Erik Tromp.
  * All rights reserved.
  *
@@ -128,8 +128,8 @@
   }
 
   /* The total length must be at least large enough to store the UDP header */
-  ipHeaderLen = GetHeaderLength(ipPacket);
-  if (GetTotalLength(ipPacket) < ipHeaderLen + sizeof(struct udphdr))
+  ipHeaderLen = GetIpHeaderLength(ipPacket);
+  if (GetIpTotalLength(ipPacket) < ipHeaderLen + sizeof(struct udphdr))
   {
     /* Not long enough */
     return 0;
diff -Nur olsrd-0.5.0.cvs/lib/bmf/src/Address.h olsrd-0.5.0/lib/bmf/src/Address.h
--- olsrd-0.5.0.cvs/lib/bmf/src/Address.h	2007-06-23 13:15:19.000000000 +0200
+++ olsrd-0.5.0/lib/bmf/src/Address.h	2007-05-08 10:33:08.000000000 +0200
@@ -3,7 +3,7 @@
 
 /*
  * OLSR Basic Multicast Forwarding (BMF) plugin.
- * Copyright (c) 2005, 2006, Thales Communications, Huizen, The Netherlands.
+ * Copyright (c) 2005 - 2007, Thales Communications, Huizen, The Netherlands.
  * Written by Erik Tromp.
  * All rights reserved.
  *
